<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Package index • fokus</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Package index"><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">fokus</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9025</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-articles" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true">Articles</button>
  <ul class="dropdown-menu" aria-labelledby="dropdown-articles"><li><a class="dropdown-item" href="../articles/raw_qstnr_schema.html">FOKUS questionnaire schema</a></li>
  </ul></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/fokus/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-index">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Package index</h1>
    </div>

    <div class="section level2">
      <h2 id="fokus-metadata">FOKUS metadata<a class="anchor" aria-label="anchor" href="#fokus-metadata"></a></h2>

      <div class="section-desc"><p>Metadata about the FOKUS surveys, generated from the raw supplemental date-specific questionnaire data files found under <a href="https://gitlab.com/zdaarau/rpkgs/fokus/-/tree/master/data-raw/questionnaire/" class="external-link"><code>data-raw/questionnaire/YYYY-MM-DD.toml</code></a> that serve as a “source of truth” for the <a href="#predicates">predicate functions</a>.</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="all_ballot_dates.html">all_ballot_dates</a></code>

        </dt>
        <dd>FOKUS-covered ballot dates</dd>
      </dl><dl><dt>

          <code><a href="all_cantons.html">all_cantons</a></code>

        </dt>
        <dd>FOKUS-covered cantons</dd>
      </dl><dl><dt>

          <code><a href="all_ballot_types.html">all_ballot_types</a></code>

        </dt>
        <dd>Ballot types</dd>
      </dl><dl><dt>

          <code><a href="all_lvls.html">all_lvls</a></code>

        </dt>
        <dd>Political levels</dd>
      </dl><dl><dt>

          <code><a href="all_prcds.html">all_prcds</a></code>

        </dt>
        <dd>Election procedures</dd>
      </dl><dl><dt>

          <code><a href="all_proposal_types.html">all_proposal_types</a></code>

        </dt>
        <dd>Referendum proposal types</dd>
      </dl><dl><dt>

          <code><a href="all_qstn_groups.html">all_qstn_groups</a></code>

        </dt>
        <dd>Standardized referendum proposal question groups</dd>
      </dl><dl><dt>

          <code><a href="all_argument_sides.html">all_argument_sides</a></code>

        </dt>
        <dd>Referendum proposal argument sides</dd>
      </dl><dl><dt>

          <code><a href="all_main_motive_types.html">all_main_motive_types</a></code>

        </dt>
        <dd>Referendum proposal main motive types</dd>
      </dl><dl><dt>

          <code><a href="all_election_seat_types.html">all_election_seat_types</a></code>

        </dt>
        <dd>Election seat types</dd>
      </dl><dl><dt>

          <code><a href="all_response_option_types.html">all_response_option_types</a></code>

        </dt>
        <dd>Response option types</dd>
      </dl><dl><dt>

          <code><a href="all_postal_dispatch_types.html">all_postal_dispatch_types</a></code>

        </dt>
        <dd>Postal dispatch types</dd>
      </dl><dl><dt>

          <code><a href="all_postal_dispatch_ways.html">all_postal_dispatch_ways</a></code>

        </dt>
        <dd>Postal dispatch ways</dd>
      </dl><dl><dt>

          <code><a href="all_langs.html">all_langs</a></code>

        </dt>
        <dd>Languages</dd>
      </dl><dl><dt>

          <code><a href="all_name_types.html">all_name_types</a></code>

        </dt>
        <dd>Name types</dd>
      </dl></div><div class="section level2">
      <h2 id="predicates">Predicates<a class="anchor" aria-label="anchor" href="#predicates"></a></h2>

      <div class="section-desc"><p>Predicate functions based on the <a href="#fokus-metadata">metadata</a> and the <a href="raw_qstnr.html">raw questionnaire data</a>.</p></div>


    </div><div class="section level2">

      <h3 id="fundamental-predicates">Fundamental predicates<a class="anchor" aria-label="anchor" href="#fundamental-predicates"></a></h3>
      <div class="section-desc"><p>Fundamental predicate functions never fail in case of incomplete <a href="raw_qstnr.html">raw questionnaire data</a> (they do still fail in case of completely missing questionnaire data for the specified ballot date and possibly canton).</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="cantons.html">cantons()</a></code>

        </dt>
        <dd>Get cantons covered by FOKUS survey</dd>
      </dl><dl><dt>

          <code><a href="lvls.html">lvls()</a></code>

        </dt>
        <dd>Get ballot's political levels</dd>
      </dl><dl><dt>

          <code><a href="ballot_types.html">ballot_types()</a></code>

        </dt>
        <dd>Get ballot types</dd>
      </dl><dl><dt>

          <code><a href="prcds.html">prcds()</a></code>

        </dt>
        <dd>Get ballot's election procedures</dd>
      </dl><dl><dt>

          <code><a href="proposal_nrs.html">proposal_nrs()</a></code>

        </dt>
        <dd>Get ballot's referendum proposal numbers</dd>
      </dl><dl><dt>

          <code><a href="election_nrs.html">election_nrs()</a></code>

        </dt>
        <dd>Get ballot's election numbers</dd>
      </dl><dl><dt>

          <code><a href="election_prcds.html">election_prcds()</a></code>

        </dt>
        <dd>Get ballot's election procedures</dd>
      </dl><dl><dt>

          <code><a href="proposal_qstn_groups.html">proposal_qstn_groups()</a></code>

        </dt>
        <dd>Get referendum proposal question groups</dd>
      </dl><dl><dt>

          <code><a href="qstn_groups_proposal_nrs.html">qstn_groups_proposal_nrs()</a></code>

        </dt>
        <dd>Get referendum proposal numbers with question group</dd>
      </dl><dl><dt>

          <code><a href="survey_channels.html">survey_channels()</a></code>

        </dt>
        <dd>Get survey channels</dd>
      </dl><dl><dt>

          <code><a href="is_representative.html">is_representative()</a></code>

        </dt>
        <dd>Determine whether survey is based on representative sample</dd>
      </dl><dl><dt>

          <code><a href="n_proposals.html">n_proposals()</a></code>

        </dt>
        <dd>Get number of referendum proposals</dd>
      </dl><dl><dt>

          <code><a href="n_elections.html">n_elections()</a></code>

        </dt>
        <dd>Get number of elections</dd>
      </dl><dl><dt>

          <code><a href="has_referendum.html">has_referendum()</a></code>

        </dt>
        <dd>Determine whether ballot includes a referendum</dd>
      </dl><dl><dt>

          <code><a href="has_election.html">has_election()</a></code>

        </dt>
        <dd>Determine whether ballot includes an election</dd>
      </dl><dl><dt>

          <code><a href="has_ballot_type.html">has_ballot_type()</a></code>

        </dt>
        <dd>Determine whether ballot includes type</dd>
      </dl><dl><dt>

          <code><a href="has_lvl.html">has_lvl()</a></code>

        </dt>
        <dd>Determine whether ballot includes a political level</dd>
      </dl><dl><dt>

          <code><a href="has_proposal_nrs.html">has_proposal_nrs()</a></code>

        </dt>
        <dd>Determine whether ballot includes referendum proposals</dd>
      </dl><dl><dt>

          <code><a href="has_election_nrs.html">has_election_nrs()</a></code>

        </dt>
        <dd>Determine whether ballot includes elections</dd>
      </dl><dl><dt>

          <code><a href="combos_ballot_types.html">combos_ballot_types()</a></code>

        </dt>
        <dd>Get ballot type combinations</dd>
      </dl></div><div class="section level2">

      <h3 id="proposal-predicates">Proposal predicates<a class="anchor" aria-label="anchor" href="#proposal-predicates"></a></h3>



    </div><div class="section level2">




      <dl><dt>

          <code><a href="proposal_type.html">proposal_type()</a></code>

        </dt>
        <dd>Get referendum proposal type</dd>
      </dl><dl><dt>

          <code><a href="proposal_name.html">proposal_name()</a></code>

        </dt>
        <dd>Get referendum proposal name</dd>
      </dl><dl><dt>

          <code><a href="proposal_name_gender.html">proposal_name_gender()</a></code>

        </dt>
        <dd>Get German referendum proposal name's grammatical gender</dd>
      </dl><dl><dt>

          <code><a href="is_proposal_name_plural.html">is_proposal_name_plural()</a></code>

        </dt>
        <dd>Determine whether German referendum proposal name is plural</dd>
      </dl><dl><dt>

          <code><a href="proposal_arguments.html">proposal_arguments()</a></code>

        </dt>
        <dd>Get referendum proposal's arguments</dd>
      </dl><dl><dt>

          <code><a href="proposal_argument.html">proposal_argument()</a></code>

        </dt>
        <dd>Get referendum proposal argument</dd>
      </dl><dl><dt>

          <code><a href="proposal_main_motives.html">proposal_main_motives()</a></code>

        </dt>
        <dd>Get referendum proposal's main motives</dd>
      </dl><dl><dt>

          <code><a href="n_proposal_arguments.html">n_proposal_arguments()</a></code>

        </dt>
        <dd>Get referendum proposal's number of arguments</dd>
      </dl><dl><dt>

          <code><a href="n_proposal_main_motives.html">n_proposal_main_motives()</a></code>

        </dt>
        <dd>Get referendum proposal's number of main motives</dd>
      </dl><dl><dt>

          <code><a href="has_proposal_arguments.html">has_proposal_arguments()</a></code>

        </dt>
        <dd>Determine whether arguments have been queried for referendum proposal</dd>
      </dl><dl><dt>

          <code><a href="has_proposal_main_motives.html">has_proposal_main_motives()</a></code>

        </dt>
        <dd>Determine whether main motives have been queried for referendum proposal</dd>
      </dl><dl><dt>

          <code><a href="argument_proposal_nrs.html">argument_proposal_nrs()</a></code>

        </dt>
        <dd>Get referendum proposal numbers with arguments</dd>
      </dl><dl><dt>

          <code><a href="main_motive_proposal_nrs.html">main_motive_proposal_nrs()</a></code>

        </dt>
        <dd>Get referendum proposal numbers with arguments</dd>
      </dl><dl><dt>

          <code><a href="combos_proposals.html">combos_proposals()</a></code>

        </dt>
        <dd>Get referendum proposal combinations</dd>
      </dl><dl><dt>

          <code><a href="combos_proposal_arguments.html">combos_proposal_arguments()</a></code>

        </dt>
        <dd>Get referendum proposal combinations for which arguments have been queried</dd>
      </dl><dl><dt>

          <code><a href="combos_proposal_main_motives.html">combos_proposal_main_motives()</a></code>

        </dt>
        <dd>Get referendum proposal combinations for which main motives have been queried</dd>
      </dl></div><div class="section level2">

      <h3 id="election-predicates">Election predicates<a class="anchor" aria-label="anchor" href="#election-predicates"></a></h3>



    </div><div class="section level2">




      <dl><dt>

          <code><a href="election_name.html">election_name()</a></code>

        </dt>
        <dd>Get election name</dd>
      </dl><dl><dt>

          <code><a href="election_names_combined.html">election_names_combined()</a></code>

        </dt>
        <dd>Get combined elections name</dd>
      </dl><dl><dt>

          <code><a href="election_candidates.html">election_candidates()</a></code>

        </dt>
        <dd>Get majoritarian election's candidates</dd>
      </dl><dl><dt>

          <code><a href="election_parties.html">election_parties()</a></code>

        </dt>
        <dd>Get proportional election's political parties</dd>
      </dl><dl><dt>

          <code><a href="election_tickets.html">election_tickets()</a></code>

        </dt>
        <dd>Get proportional election's tickets</dd>
      </dl><dl><dt>

          <code><a href="past_election_date.html">past_election_date()</a></code>

        </dt>
        <dd>Get election's past date</dd>
      </dl><dl><dt>

          <code><a href="n_election_seats.html">n_election_seats()</a></code>

        </dt>
        <dd>Get number of majoritarian election seats</dd>
      </dl><dl><dt>

          <code><a href="n_election_candidates.html">n_election_candidates()</a></code>

        </dt>
        <dd>Get number of (officially registered) majoritarian election candidates</dd>
      </dl><dl><dt>

          <code><a href="requires_candidate_registration.html">requires_candidate_registration()</a></code>

        </dt>
        <dd>Determine whether majoritarian election requires candidate registration</dd>
      </dl><dl><dt>

          <code><a href="combos_elections.html">combos_elections()</a></code>

        </dt>
        <dd>Get election combinations</dd>
      </dl></div><div class="section level2">

      <h3 id="skill-question-predicates">Skill question predicates<a class="anchor" aria-label="anchor" href="#skill-question-predicates"></a></h3>



    </div><div class="section level2">




      <dl><dt>

          <code><a href="skill_question_nrs.html">skill_question_nrs()</a></code>

        </dt>
        <dd>Get skill question numbers</dd>
      </dl><dl><dt>

          <code><a href="n_skill_questions.html">n_skill_questions()</a></code>

        </dt>
        <dd>Get number of skill questions</dd>
      </dl><dl><dt>

          <code><a href="skill_question.html">skill_question()</a></code>

        </dt>
        <dd>Get skill question</dd>
      </dl><dl><dt>

          <code><a href="skill_question_response_options.html">skill_question_response_options()</a></code>

        </dt>
        <dd>Get skill question response options</dd>
      </dl><dl><dt>

          <code><a href="skill_question_answer_nr.html">skill_question_answer_nr()</a></code>

        </dt>
        <dd>Get correct skill question answer number</dd>
      </dl><dl><dt>

          <code><a href="skill_question_proposal_nrs.html">skill_question_proposal_nrs()</a></code>

        </dt>
        <dd>Get referendum proposal numbers with skill questions</dd>
      </dl></div><div class="section level2">

      <h3 id="other-predicates">Other predicates<a class="anchor" aria-label="anchor" href="#other-predicates"></a></h3>



    </div><div class="section level2">




      <dl><dt>

          <code><a href="ballot_title.html">ballot_title()</a></code>

        </dt>
        <dd>Get ballot title</dd>
      </dl><dl><dt>

          <code><a href="political_issues.html">political_issues()</a></code>

        </dt>
        <dd>Get political issues</dd>
      </dl><dl><dt>

          <code><a href="postal_dispatch_way.html">postal_dispatch_way()</a></code>

        </dt>
        <dd>Get postal dispatch way</dd>
      </dl><dl><dt>

          <code><a href="response_options.html">response_options()</a></code>

        </dt>
        <dd>Get response options</dd>
      </dl></div><div class="section level2">
      <h2 id="questionnaire-and-survey">Questionnaire and survey<a class="anchor" aria-label="anchor" href="#questionnaire-and-survey"></a></h2>

      <div class="section-desc"><p>Datasets and functions to conduct a FOKUS survey.</p></div>


    </div><div class="section level2">

      <h3 id="datasets">Datasets<a class="anchor" aria-label="anchor" href="#datasets"></a></h3>
      <div class="section-desc"><p>The FOKUS survey questionnaires and supplemental information as structured data.</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="qstnrs.html">qstnrs</a></code>

        </dt>
        <dd>Questionnaire data</dd>
      </dl><dl><dt>

          <code><a href="proposals.html">proposals</a></code>

        </dt>
        <dd>Proposal data</dd>
      </dl><dl><dt>

          <code><a href="elections.html">elections</a></code>

        </dt>
        <dd>Election data</dd>
      </dl><dl><dt>

          <code><a href="ballots.html">ballots</a></code>

        </dt>
        <dd>Ballot data</dd>
      </dl></div><div class="section level2">

      <h3 id="data-import">Data import<a class="anchor" aria-label="anchor" href="#data-import"></a></h3>
      <div class="section-desc"><p>Functions to access FOKUS data from the <a href="https://gitlab.com/zdaarau/private/fokus_private/" class="external-link">private FOKUS repository</a>.</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="read_easyvote_municipalities.html">read_easyvote_municipalities()</a></code>

        </dt>
        <dd>Read in easyvote municipality data</dd>
      </dl><dl><dt>

          <code><a href="read_online_participation_codes.html">read_online_participation_codes()</a></code>

        </dt>
        <dd>Read in online participation codes</dd>
      </dl><dl><dt>

          <code><a href="read_survey_data.html">read_survey_data()</a></code>

        </dt>
        <dd>Read in generated survey data</dd>
      </dl><dl><dt>

          <code><a href="read_voting_register_data_extra.html">read_voting_register_data_extra()</a></code>

        </dt>
        <dd>Read in extra voting register data</dd>
      </dl><dl><dt>

          <code><a href="read_voting_register_ids.html">read_voting_register_ids()</a></code>

        </dt>
        <dd>Read in voting register identifiers</dd>
      </dl><dl><dt>

          <code><a href="read_private_file.html">read_private_file()</a></code>

        </dt>
        <dd>Read in file from private FOKUS repository</dd>
      </dl><dl><dt>

          <code><a href="tidy_cols.html">tidy_cols()</a></code>

        </dt>
        <dd>Tidy columns</dd>
      </dl></div><div class="section level2">

      <h3 id="data-export">Data export<a class="anchor" aria-label="anchor" href="#data-export"></a></h3>
      <div class="section-desc"><p>Functions to export data necessary to conduct a FOKUS survey and perform survey data analysis.</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="export_qstnr.html">export_qstnr()</a></code>

        </dt>
        <dd>Export questionnaire data</dd>
      </dl><dl><dt>

          <code><a href="export_qr_codes.html">export_qr_codes()</a></code>

        </dt>
        <dd>Export QR codes with personalized survey URL</dd>
      </dl><dl><dt>

          <code><a href="export_print_recipients.html">export_print_recipients()</a></code>

        </dt>
        <dd>Export print recipients data</dd>
      </dl><dl><dt>

          <code><a href="export_easyvote_municipalities.html">export_easyvote_municipalities()</a></code>

        </dt>
        <dd>Export easyvote municipality details</dd>
      </dl><dl><dt>

          <code><a href="export_survey_data.html">export_survey_data()</a></code>

        </dt>
        <dd>Export generated survey data</dd>
      </dl><dl><dt>

          <code><a href="write_private_file.html">write_private_file()</a></code>

        </dt>
        <dd>Write file to private FOKUS repository</dd>
      </dl></div><div class="section level2">
      <h2 id="variables">Variables<a class="anchor" aria-label="anchor" href="#variables"></a></h2>

      <div class="section-desc"><p>Functions related to FOKUS questionnaire and survey data variables.</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="var_lbl.html">var_lbl()</a></code>

        </dt>
        <dd>Get variable description</dd>
      </dl><dl><dt>

          <code><a href="var_lvls.html">var_lvls()</a></code>

        </dt>
        <dd>Determine variable's political level(s)</dd>
      </dl><dl><dt>

          <code><a href="var_prcd.html">var_prcd()</a></code>

        </dt>
        <dd>Determine variable's election procedure</dd>
      </dl><dl><dt>

          <code><a href="var_election_nr.html">var_election_nr()</a></code>

        </dt>
        <dd>Determine variable's election number</dd>
      </dl><dl><dt>

          <code><a href="var_proposal_nr.html">var_proposal_nr()</a></code>

        </dt>
        <dd>Determine variable's proposal number</dd>
      </dl><dl><dt>

          <code><a href="var_skill_question_nr.html">var_skill_question_nr()</a></code>

        </dt>
        <dd>Determine variable's skill question number</dd>
      </dl><dl><dt>

          <code><a href="var_title.html">var_title()</a></code>

        </dt>
        <dd>Get variable title</dd>
      </dl><dl><dt>

          <code><a href="var_val_set.html">var_val_set()</a></code>

        </dt>
        <dd>Get variable's value set</dd>
      </dl><dl><dt>

          <code><a href="add_vars_to_combos.html">add_vars_to_combos()</a></code>

        </dt>
        <dd>Add variable names to combination list</dd>
      </dl><dl><dt>

          <code><a href="is_skill_question_var.html">is_skill_question_var()</a></code>

        </dt>
        <dd>Determine whether variable is skill question</dd>
      </dl></div><div class="section level2">

      <h3 id="factors">Factors<a class="anchor" aria-label="anchor" href="#factors"></a></h3>



    </div><div class="section level2">




      <dl><dt>

          <code><a href="fct_relabel_election_parties.html">fct_relabel_election_parties()</a></code>

        </dt>
        <dd>Relabel factor of election parties</dd>
      </dl></div><div class="section level2">

      <h3 id="variable-name-shortening">Variable name shortening<a class="anchor" aria-label="anchor" href="#variable-name-shortening"></a></h3>



    </div><div class="section level2">




      <dl><dt>

          <code><a href="shorten_var_names.html">shorten_var_names()</a></code>

        </dt>
        <dd>Shorten variable names to a maximum length of 32 characters</dd>
      </dl><dl><dt>

          <code><a href="shorten_colnames.html">shorten_colnames()</a></code>

        </dt>
        <dd>Shorten column names to a maximum length of 32 characters</dd>
      </dl><dl><dt>

          <code><a href="restore_colnames.html">restore_colnames()</a></code>

        </dt>
        <dd>Restore original/unshortened column names</dd>
      </dl></div><div class="section level2">
      <h2 id="text-phrasing">Text phrasing<a class="anchor" aria-label="anchor" href="#text-phrasing"></a></h2>




    </div><div class="section level2">




      <dl><dt>

          <code><a href="phrase.html">phrase()</a></code>

        </dt>
        <dd>Phrase term</dd>
      </dl><dl><dt>

          <code><a href="phrase_date.html">phrase_date()</a></code>

        </dt>
        <dd>Phrase (ballot) date</dd>
      </dl><dl><dt>

          <code><a href="phrase_election_candidate.html">phrase_election_candidate()</a></code>

        </dt>
        <dd>Phrase majoritarian election's candidate(s)</dd>
      </dl><dl><dt>

          <code><a href="phrase_proposal_name_de.html">phrase_proposal_name_de()</a></code>

        </dt>
        <dd>Get declined German proposal name</dd>
      </dl></div><div class="section level2">
      <h2 id="google-apps">Google Apps<a class="anchor" aria-label="anchor" href="#google-apps"></a></h2>




    </div><div class="section level2">




      <dl><dt>

          <code><a href="backup_g_file.html">backup_g_file()</a></code>

        </dt>
        <dd>Backup Google Drive file locally</dd>
      </dl><dl><dt>

          <code><a href="backup_g_sheet.html">backup_g_sheet()</a></code>

        </dt>
        <dd>Backup Google Sheet locally</dd>
      </dl><dl><dt>

          <code><a href="upload_to_g_drive.html">upload_to_g_drive()</a></code>

        </dt>
        <dd>Upload files to Google Drive</dd>
      </dl><dl><dt>

          <code><a href="g_file_mod_time.html">g_file_mod_time()</a></code>

        </dt>
        <dd>Get Google Drive file modification timestamp</dd>
      </dl></div><div class="section level2">
      <h2 id="miscellaneous">Miscellaneous<a class="anchor" aria-label="anchor" href="#miscellaneous"></a></h2>




    </div><div class="section level2">




      <dl><dt>

          <code><a href="lgl_to_unicode.html">lgl_to_unicode()</a></code>

        </dt>
        <dd>Convert logical vector to Unicode symbols ✅ and ❌</dd>
      </dl><dl><dt>

          <code><a href="md_emphasize.html">md_emphasize()</a></code>

        </dt>
        <dd>Emphasize xth element of character vector (Markdown)</dd>
      </dl><dl><dt>

          <code><a href="funky_config.html">funky_config</a></code>

        </dt>
        <dd>fokus package configuration metadata</dd>
      </dl></div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

